# Class BattlePhase

#### Hierarchy (view full)

- Phase
  - BattlePhase
    - QuietFormChangePhase
    - FieldPhase
    - EncounterPhase
    - SelectBiomePhase
    - SwitchBiomePhase
    - ShowTrainerPhase
    - ToggleDoublePositionPhase
    - CheckSwitchPhase
    - BattleEndPhase
    - NewBattlePhase
    - MovePhase
    - MoveAnimTestPhase
    - TrainerVictoryPhase
    - MoneyRewardPhase
    - ModifierRewardPhase
    - GameOverPhase
    - SwitchPhase
    - HidePartyExpBarPhase
    - SelectModifierPhase
    - PartyStatusCurePhase
    - PartyHealPhase
    - TrainerMessageTestPhase

- Defined in src/phases.ts:612

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new BattlePhase(scene): BattlePhase

- #### Parameters

  - scene: default

  #### Returns BattlePhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:613

## Properties

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from Phase.start

  - Defined in src/phase.ts:10